import httpClient from '@/common/http-client';

// 공통 코드.
const getCommCode = (params) => {
    return httpClient.post('/api/v1/bo/comm/getCode', params, { withCredentials: false });
}

// 관리자정보 상세조회
const selectAdminDetail = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/adminDetail', params, { withCredentials: false});
}
//마당아이디 조회
const selectSearchMadangId = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/madangId', params, {withCredentials: false});
}
//권한 상세 조회
const selectAuthDetail = (params) => {
    return httpClient.params('/api/v1/bo/sysMgt/authDetail', params, {withCredentials: false});
}

// HUBEZ_BO_API_4003 - 관리자 등록.
const insertAdmin = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/insertAdmin', params, { withCredentials: false });
}

// HUBEZ_BO_API_4004 - 관리자 수정.
const updateAdmin = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/updateAdmin', params, { withCredentials: false });
}

// HUBEZ_BO_API_4005 - 관리자 삭제
const deleteAdmin = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/deleteAdmin', params, { withCredentials: false });
}

// HUBEZ_BO_API_4006 - 관리자 정보 상세 조회.
const adminDetail = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/adminDetail', params, { withCredentials: false });
}

// HUBEZ_BO_API_4007 - 권한 목록 조회.
const authList = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/authList', params, { withCredentials: false });
}

// HUBEZ_BO_API_4008 - 권한 삭제.
const deleteAuth = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/deleteAuth', params, { withCredentials: false });
}

// HUBEZ_BO_API_4009 - 권한 상세 조회.
const authDetail = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/authDetail', params, { withCredentials: false });
}

// HUBEZ_BO_API_4010 - 권한 추가.
const insertAuth = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/insertAuth', params, { withCredentials: false });
}

// HUBEZ_BO_API_4011 - 권한 수정.
const updateAuth = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/updateAuth', params, { withCredentials: false });
}

// 비밀번호  초기화
const resetPassword = (params) => {
    return httpClient.post('/api/v1/bo/login/resetPassword', params, { withCredentials: false });
}

const batchList = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/batchList', params, { withCredentials: false } )
}

const batchDetail = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/batchDetail', params, { withCredentials: false })
}

const batchExecuteJob = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/batchExecuteJob', params, { withCredentials: false })
}


const notiList = (params) => {
    return httpClient.post('/api/v1/bo/sysMgt/notiList', params, { withCredentials: false })
}


export default {
    insertAdmin,
    updateAdmin,
    deleteAdmin,
    adminDetail,
    selectAdminDetail,
    getCommCode,
    selectSearchMadangId,
    selectAuthDetail,
    authList,
    deleteAuth,
    authDetail,
    insertAuth,
    updateAuth,
    resetPassword,
    batchList,
    batchDetail,
    batchExecuteJob,
    notiList
  }
